<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "item_code"|normalize|title }}*</label>
                    <input type="text" name="item_code" class="form-control" oninput="this.value = this.value.toUpperCase()" required maxlength="32" value="{{ record.item_code }}" data-default-value="{{ record.item_code }}" />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "description"|normalize|title }}*</label>
                    <textarea name="description" class="form-control" rows="4" required value="{{ record.description }}" data-default-value="{{ record.description }}">{{ record.description }}</textarea>
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "category"|normalize|title }}*</label>
                    <select name="category" class="form-control" required data-default-value="{{ record.category }}">
                        <option value="">-- Select Category --</option>
                        {% for option in categories %}
                            <option value="{{ option.decode("utf-8") }}"{% if record.category == option.decode("utf-8") %} selected{% endif %}>{{ option.decode("utf-8")|normalize|title }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "default_unit"|normalize|title }}*</label>
                    <select name="default_unit" class="form-control" required data-default-value="{{ record.default_unit }}">
                        <option value="">-- Select Default Unit --</option>
                        {% for option in units %}
                            <option value="{{ option.decode("utf-8") }}"{% if record.default_unit == option.decode("utf-8") %} selected{% endif %}>{{ option.decode("utf-8") }}</option>
                        {% endfor %}
                    </select>
                </div>
            </div>
        </div>
        <hr />
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_created"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.date_created|humandate }} by {{ record.created_by }}" readonly />
                </div>
            </div>
        </div>
        <div class="row mt-3">
            <div class="col-4">
                <a href="{{ url_for('.stock_card', _id=record._id, from='details') }}"> View Stock Card</a>
            </div>
            <div class="col-4">
                <a href="{{ url_for('.issue_tag', _id=record._id, from='details') }}"> Create Issue Tag</a>
            </div>
        </div>
    </div>
</div>
